Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.gui
Class MultiLineLabel

    java.lang.Object
      java.awt.Component
          java.awt.Canvas
              com.mindbright.gui.MultiLineLabel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class MultiLineLabel
extends java.awt.Canvas

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.Canvas
`java.awt.Canvas.AccessibleAWTCanvas`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected int` | `alignment`
`static int` | `CENTER`
`static int` | `LEFT`
`protected int` | `line_ascent`
`protected int` | `line_height`
`protected int[]` | `line_widths`
`protected java.lang.String[]` | `lines`
`protected int` | `margin_height`
`protected int` | `margin_width`
`protected int` | `max_width`
`protected int` | `num_lines`
`static int` | `RIGHT`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MultiLineLabel(java.lang.String label)`
`MultiLineLabel(java.lang.String label, int alignment)`
`MultiLineLabel(java.lang.String label, int margin_width, int margin_height)`
`MultiLineLabel(java.lang.String label, int margin_width, int margin_height, int alignment)`

Method Summary
`void` | `addNotify()`
`int` | `getAlignment()`
`int` | `getMarginHeight()`
`int` | `getMarginWidth()`
`java.awt.Dimension` | `getMinimumSize()`
`java.awt.Dimension` | `getPreferredSize()`
`protected void` | `measure()`
`protected void` | `newLabel(java.lang.String label)`
`void` | `paint(java.awt.Graphics g)`
`void` | `setAlignment(int a)`
`void` | `setFont(java.awt.Font f)`
`void` | `setForeground(java.awt.Color c)`
`void` | `setLabel(java.lang.String label)`
`void` | `setMarginHeight(int mh)`
`void` | `setMarginWidth(int mw)`

Methods inherited from class java.awt.Canvas
`createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy, update`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### CENTER

    public static final int CENTER

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

### lines

    protected java.lang.String[] lines

### num_lines

    protected int num_lines

### margin_width

    protected int margin_width

### margin_height

    protected int margin_height

### line_height

    protected int line_height

### line_ascent

    protected int line_ascent

### line_widths

    protected int[] line_widths

### max_width

    protected int max_width

### alignment

    protected int alignment

Constructor Detail

### MultiLineLabel

    public MultiLineLabel(java.lang.String label,
                          int margin_width,
                          int margin_height,
                          int alignment)

### MultiLineLabel

    public MultiLineLabel(java.lang.String label,
                          int margin_width,
                          int margin_height)

### MultiLineLabel

    public MultiLineLabel(java.lang.String label,
                          int alignment)

### MultiLineLabel

    public MultiLineLabel(java.lang.String label)

Method Detail

### newLabel

    protected void newLabel(java.lang.String label)

### measure

    protected void measure()

### setLabel

    public void setLabel(java.lang.String label)

### setFont

    public void setFont(java.awt.Font f)

### setForeground

    public void setForeground(java.awt.Color c)

### setAlignment

    public void setAlignment(int a)

### setMarginWidth

    public void setMarginWidth(int mw)

### setMarginHeight

    public void setMarginHeight(int mh)

### getAlignment

    public int getAlignment()

### getMarginWidth

    public int getMarginWidth()

### getMarginHeight

    public int getMarginHeight()

### addNotify

    public void addNotify()

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

### paint

    public void paint(java.awt.Graphics g)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD